<?php
defined('TYPO3') or die();

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns(
    'sys_file_reference',
    [
        'media_poster' => [
            'label' => 'Poster',
            'config' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::getFileFieldTCAConfig(
                'image',
                [
                    'maxitems' => 1,
                ],
                $GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext']
            ),
        ],
    ]
);
if (!\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::isLoaded('ig_video_extender')) {
    $GLOBALS['TCA']['sys_file_reference']['palettes']['videoOverlayPalette']['showitem'] = ' title,description,--linebreak--,autoplay,--linebreak--,media_poster ';
}
